package cn.freemud.enums;

public enum  AggregationTypeEnum {

    //6-会员、7-微商城、8-一键购买 9:积分商城

    TYPE_1("1", ""),
    TYPE_2("2", ""),
    TYPE_3("3", ""),
    TYPE_4("4", ""),
    TYPE_5("5", ""),
    /**
     * 会员卡支付门店
     */
    TYPE_6("6","会员卡支付门店"),
    /**
     * 微商城支付门店(FM商城）
     */
    TYPE_7("7","微商城支付门店"),
    /**
     * 微商城一键购买门店
     */
    TYPE_8("8","微商城一键购买门店"),
    /**
     * 积分商城支付门店
     */
    TYPE_9("9","积分商城支付门店"),
    /**
     * 抖音卖券支付门店
     */
    TYPE_10("10","抖音卖券支付门店"),
    /**
     * 虚拟卖券分账支付门店
     */
    TYPE_11("11","虚拟卖券分账支付门店"),
    TYPE_12("12","储值卡支付门店"),
    /**
     * 视频号卖券支付门店
     */
    TYPE_13("13","视频号卖券支付门店"),
    TYPE_14("14", "");


    private String code;

    private String desc;

    AggregationTypeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

}
